## python-omemo 0.14.0~beta

=== requirements.txt ===
X3DH>=0.5.9,<0.6
cryptography>=2

## python-omemo 0.10.3

=== debian/changelog ===
python-omemo (0.10.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 package Closes: #937968

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 18 Dec 2019 02:11:00 +0000

python-omemo (0.10.3-1) unstable; urgency=medium

  * New upstream version

 -- W. Martin Borgert <debacle@debian.org>  Mon, 14 Jan 2019 22:20:51 +0000

python-omemo (0.7.0-1) unstable; urgency=medium

  * Initial package (Closes: #908028)
    Python 2 version still necessary for salutatoi

 -- W. Martin Borgert <debacle@debian.org>  Sat, 08 Sep 2018 22:03:29 +0000

=== debian/control ===
Source: python-omemo
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
	dh-python,
	python3-all,
	python3-cryptography,
	python3-doubleratchet,
	python3-hkdf,
	python3-nacl,
	python3-protobuf,
	python3-setuptools,
	python3-x3dh,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://pypi.org/project/OMEMO/
Vcs-Git: https://salsa.debian.org/xmpp-team/python-omemo.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/python-omemo

Package: python3-omemo
Architecture: all
Depends: ${misc:Depends},
	${python3:Depends},
Description: Python 3 implementation of the OMEMO protocol
 This python library offers an open implementation of the OMEMO Multi-End
 Message and Object Encryption protocol as specified here.
 .
 Goals of this implementation are:
 .
  * Do not use libsignal but offer a solid alternative to it
  * Stay away from GPL (not possible until we move away from libsignals
    wireformat)
  * Be flexible to changes that might happen to the OMEMO protocol
  * Keep the structure close to the spec
  * Provide the parts of the protocol (X3DH, Double Ratchet) as own
    repositories
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=omemo

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-omemo 0.14.0~beta

=== debian/changelog ===
python-omemo (0.14.0~beta-1) unstable; urgency=medium

  * New upstream version
  * Move to debhelper-compat 13

 -- Martin <debacle@debian.org>  Sat, 12 Mar 2022 13:08:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-omemo
 Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
-Uploaders: W. Martin Borgert <debacle@debian.org>
+Uploaders: Martin <debacle@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
 	dh-python,
 	python3-all,
 	python3-cryptography,
@@ -15,7 +15,7 @@
 	python3-x3dh,
 Standards-Version: 4.2.1
 Rules-Requires-Root: no
-Homepage: https://pypi.org/project/OMEMO/
+Homepage: https://github.com/Syndace/python-omemo
 Vcs-Git: https://salsa.debian.org/xmpp-team/python-omemo.git
 Vcs-Browser: https://salsa.debian.org/xmpp-team/python-omemo

## python-omemo 1.0.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = OMEMO
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-omemo (1.0.2-3ubuntu1) lunar; urgency=medium

  * Drop build dependencies on python3-oldmemo and python3-twomemo and
    skip tests to break circular dependencies. Rely on autopkgtest instead.

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 24 Feb 2023 17:38:56 +0100

python-omemo (1.0.2-3) unstable; urgency=medium

  * Fix missing autopkgtest depends

 -- Martin <debacle@debian.org>  Wed, 07 Dec 2022 22:10:44 +0000

python-omemo (1.0.2-2) unstable; urgency=medium

  * Fix missing autopkgtest depends

 -- Martin <debacle@debian.org>  Tue, 06 Dec 2022 08:03:31 +0000

python-omemo (1.0.2-1) unstable; urgency=medium

  * New upstream version
  * License changed from GPL-3 to MIT
  * Add autopkgtest

 -- Martin <debacle@debian.org>  Mon, 05 Dec 2022 20:37:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-omemo
-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders: Martin <debacle@debian.org>
 Section: python
 Priority: optional
@@ -11,8 +12,13 @@
 	python3-hkdf,
 	python3-nacl,
 	python3-protobuf,
+	python3-pytest,
+	python3-pytest-asyncio,
 	python3-setuptools,
+	python3-typing-extensions,
 	python3-x3dh,
+	python3-xeddsa (>= 1~),
+	python3-xmlschema,
 Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Homepage: https://github.com/Syndace/python-omemo

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=omemo

%:
	dh $@ --with python3 --buildsystem=pybuild

# Skip test to break circular test dependencies on oldmemo and twomemo.
# Rely on autopkgtest instead.
override_dh_auto_test:

## python-omemo 1.0.4

=== requirements.txt ===
XEdDSA>=1.0.0,<2
typing-extensions>=4.3.0

=== debian/changelog ===
python-omemo (1.0.4-2) unstable; urgency=medium

  * Remove stale dependency on python3-hkdf (Closes: #1081381)

 -- Martin <debacle@debian.org>  Wed, 11 Sep 2024 19:43:26 +0000

python-omemo (1.0.4-1) unstable; urgency=medium

  * New upstream version
  * Use Testsuite: autopkgtest-pkg-pybuild instead of debian/tests/control

 -- Martin <debacle@debian.org>  Tue, 30 Jul 2024 07:29:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-omemo
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
+Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders: Martin <debacle@debian.org>
 Section: python
 Priority: optional
@@ -9,12 +8,13 @@
 	python3-all,
 	python3-cryptography,
 	python3-doubleratchet,
-	python3-hkdf,
 	python3-nacl,
+	python3-oldmemo,
 	python3-protobuf,
 	python3-pytest,
 	python3-pytest-asyncio,
 	python3-setuptools,
+	python3-twomemo,
 	python3-typing-extensions,
 	python3-x3dh,
 	python3-xeddsa (>= 1~),
@@ -24,6 +24,7 @@
 Homepage: https://github.com/Syndace/python-omemo
 Vcs-Git: https://salsa.debian.org/xmpp-team/python-omemo.git
 Vcs-Browser: https://salsa.debian.org/xmpp-team/python-omemo
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-omemo
 Architecture: all

## python-omemo 1.2.0

=== debian/changelog ===
python-omemo (1.2.0-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Mon, 31 Mar 2025 19:30:03 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
 	dh-python,
+	pybuild-plugin-pyproject,
 	python3-all,
 	python3-cryptography,
 	python3-doubleratchet,

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/Syndace/python-omemo.git \
refs/tags/v@ANY_VERSION@ \
debian

## python-omemo 2.0.0

=== debian/changelog ===
python-omemo (2.0.0-3ubuntu1) resolute; urgency=medium

  * Don't install build directory (dh-python issue) (See #1127763)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Feb 2026 15:43:07 +0100

python-omemo (2.0.0-3) unstable; urgency=medium

  * (Build-) Depend on twomemo and oldmemo >= 2

 -- Martin <debacle@debian.org>  Wed, 26 Nov 2025 21:22:19 +0000

python-omemo (2.0.0-2) unstable; urgency=medium

  * Remove superfluous files under dist-packages

 -- Martin <debacle@debian.org>  Wed, 19 Nov 2025 20:50:23 +0000

python-omemo (2.0.0-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Sun, 16 Nov 2025 19:10:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-omemo
-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Martin <debacle@debian.org>
 Section: python
 Priority: optional
@@ -10,21 +10,22 @@
 	python3-cryptography,
 	python3-doubleratchet,
 	python3-nacl,
-	python3-oldmemo,
+	python3-oldmemo (>= 2~),
 	python3-protobuf,
 	python3-pytest,
 	python3-pytest-asyncio,
 	python3-setuptools,
-	python3-twomemo,
+	python3-twomemo (>= 2~),
 	python3-typing-extensions,
 	python3-x3dh,
 	python3-xeddsa (>= 1~),
 	python3-xmlschema,
+Build-Depends-Indep:
+	python3-pytest-cov,
 Standards-Version: 4.2.1
-Rules-Requires-Root: no
 Homepage: https://github.com/Syndace/python-omemo
-Vcs-Git: https://salsa.debian.org/xmpp-team/python-omemo.git
-Vcs-Browser: https://salsa.debian.org/xmpp-team/python-omemo
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-omemo.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-omemo
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-omemo

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=omemo

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_install:
	rm -rf $(CURDIR)/debian/python3-omemo/usr/lib/python3.*/dist-packages/docs/ \
	    $(CURDIR)/debian/python3-omemo/usr/lib/python3.*/dist-packages/examples/ \
            $(CURDIR)/debian/python3-omemo/usr/lib/python3.*/dist-packages/build
